## org.eclipse.datatools.modelbase.sql.schema.provider
Class SQLSchemaItemProviderAdapterFactory

    java.lang.Object
      AdapterFactoryImpl
          org.eclipse.datatools.modelbase.sql.schema.util.SQLSchemaAdapterFactory
              org.eclipse.datatools.modelbase.sql.schema.provider.SQLSchemaItemProviderAdapterFactory

public class SQLSchemaItemProviderAdapterFactory
extends SQLSchemaAdapterFactory

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

See Also:
  Serialized Form

Constructor Summary
`SQLSchemaItemProviderAdapterFactory()` This constructs an instance.

Method Summary
`Adapter` `adapt(Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter.
`void` `addListener(INotifyChangedListener notifyChangedListener)` This adds a listener.
`Adapter` `createCatalogAdapter()` This creates an adapter for a `Catalog`.
`Adapter` `createCommentAdapter()` This creates an adapter for a `Comment`.
`Adapter` `createDatabaseAdapter()` This creates an adapter for a `Database`.
`Adapter` `createDependencyAdapter()` This creates an adapter for a `Dependency`.
`Adapter` `createEventAdapter()` This creates an adapter for a `Event`.
`Adapter` `createIdentitySpecifierAdapter()` This creates an adapter for a `IdentitySpecifier`.
`Adapter` `createSchemaAdapter()` This creates an adapter for a `Schema`.
`Adapter` `createSequenceAdapter()` This creates an adapter for a `Sequence`.
`void` `fireNotifyChanged(Notification notification)` This delegates to `#changeNotifier` and to `#parentAdapterFactory`.
`ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory.
`boolean` `isFactoryForType(java.lang.Object type)`
`void` `removeListener(INotifyChangedListener notifyChangedListener)` This removes a listener.
`void` `setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory.

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.util.SQLSchemaAdapterFactory
`createAdapter, createEModelElementAdapter, createENamedElementAdapter, createEObjectAdapter, createSQLObjectAdapter, createTypedElementAdapter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLSchemaItemProviderAdapterFactory

    public SQLSchemaItemProviderAdapterFactory()

  This constructs an instance.

Method Detail

### createIdentitySpecifierAdapter

    public Adapter createIdentitySpecifierAdapter()

  This creates an adapter for a `IdentitySpecifier`.

  Overrides:
    `createIdentitySpecifierAdapter` in class `SQLSchemaAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `IdentitySpecifier`

### createDependencyAdapter

    public Adapter createDependencyAdapter()

  This creates an adapter for a `Dependency`.

  Overrides:
    `createDependencyAdapter` in class `SQLSchemaAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Dependency`

### createSchemaAdapter

    public Adapter createSchemaAdapter()

  This creates an adapter for a `Schema`.

  Overrides:
    `createSchemaAdapter` in class `SQLSchemaAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Schema`

### createSequenceAdapter

    public Adapter createSequenceAdapter()

  This creates an adapter for a `Sequence`.

  Overrides:
    `createSequenceAdapter` in class `SQLSchemaAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Sequence`

### createDatabaseAdapter

    public Adapter createDatabaseAdapter()

  This creates an adapter for a `Database`.

  Overrides:
    `createDatabaseAdapter` in class `SQLSchemaAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Database`

### createEventAdapter

    public Adapter createEventAdapter()

  This creates an adapter for a `Event`.

  Overrides:
    `createEventAdapter` in class `SQLSchemaAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Event`

### createCommentAdapter

    public Adapter createCommentAdapter()

  This creates an adapter for a `Comment`.

  Overrides:
    `createCommentAdapter` in class `SQLSchemaAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Comment`

### createCatalogAdapter

    public Adapter createCatalogAdapter()

  This creates an adapter for a `Catalog`.

  Overrides:
    `createCatalogAdapter` in class `SQLSchemaAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Catalog`

### getRootAdapterFactory

    public ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

### setParentAdapterFactory

    public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Overrides:
    `isFactoryForType` in class `SQLSchemaAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.

### adapt

    public Adapter adapt(Notifier notifier,
                         java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

### addListener

    public void addListener(INotifyChangedListener notifyChangedListener)

  This adds a listener.

### removeListener

    public void removeListener(INotifyChangedListener notifyChangedListener)

  This removes a listener.

### fireNotifyChanged

    public void fireNotifyChanged(Notification notification)

  This delegates to `#changeNotifier` and to `#parentAdapterFactory`.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.